Index: kernel/utility/debugger/debugger.js
===================================================================
--- kernel/utility/debugger/debugger.js	(revision 14318)
+++ kernel/utility/debugger/debugger.js	(working copy)
@@ -135,6 +135,14 @@
 		case 'dbg_ShowDebugger':
 			this.Toggle();
 			break;
+
+		case 'dbg_TurnOff':
+			var $exdate = new Date();
+
+			$exdate.setDate( $exdate.getDate() + 365 );
+			document.cookie = 'debug_off=1; expires=' + $exdate.toUTCString() + '; path=/';
+			self.location.reload();
+			break;
 	}
 }
 
@@ -170,6 +178,8 @@
 		$toolbar_content += '<td class="dbg-button" id="dbg_ShowDebugger" onclick="' + $var_name + '.ToolbarClick(this);">Show Debugger</td>';
 	}
 
+	$toolbar_content += '<td class="dbg-button" id="dbg_TurnOff" onclick="' + $var_name + '.ToolbarClick(this);">Turn Off</td>';
+
 	if (this.SQLCount > 0) {
 		$toolbar_content += '<td class="dbg-separator"></td><td style="cursor: move">' + this.SQLCount + ' sqls</td>';
 	}
